Show / Hide Table of Contents

# Interface IHttpStreamWriter

A concrete implementation of this interface is required when calling CopyStream.

###### Namespace: Titanium.Web.Proxy.StreamExtended.Network

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public interface IHttpStreamWriter

### Methods

| Improve this Doc View Source

#### Write(Byte[], Int32, Int32)

##### Declaration

    void Write(byte[] buffer, int offset, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | buffer |
Int32 | offset |
Int32 | count |

| Improve this Doc View Source

#### WriteAsync(Byte[], Int32, Int32, CancellationToken)

##### Declaration

    Task WriteAsync(byte[] buffer, int offset, int count, CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | buffer |
Int32 | offset |
Int32 | count |
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
Task |

| Improve this Doc View Source

#### WriteLineAsync(String, CancellationToken)

##### Declaration

    ValueTask WriteLineAsync(string value, CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

Type | Name | Description
--- | --- | ---
String | value |
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask |

| Improve this Doc View Source

#### WriteLineAsync(CancellationToken)

##### Declaration

    ValueTask WriteLineAsync(CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

Type | Name | Description
--- | --- | ---
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask |